IPSEND(1)

NAME
ipsend - sends IP packets

SYNOPSIS
ipsend [ -dITUv ] [ -i <interface> ] [ -f <offset> ] [ -g <gateway> ] [ -m <MTU> ] [ -o <option> ] [ -P <protocol> ] [ -s <source> ] [ -t <dest. port> ] [ -w <window> ] <destination> [TCP-flags]

DESCRIPTION

ipsend can be compiled in two ways. The first is used to send one-off packets to a destination host, using command line options to specify various attributes present in the headers. The destination must be given as the last command line option, except for when TCP flags are specified as a combination of A, S, F, U, P and R, last.

The other way it may be compiled, with DOSOCKET defined, is to allow an attempt at making a TCP connection using a with ipsend resending the SYN packet as per the command line options.

OPTIONS

-d  enable debugging mode.

-f <offset>
    The -f allows the IP offset field in the IP header to be set to an arbitrary value, which can be specified in decimal or hexadecimal.

-g <gateway>
    Specify the hostname of the gateway through which to route packets. This is required whenever the destination host isn't directly attached to the same network as the host from which you're sending.

-i <interface>
    Set the interface name to be the name supplied.

-m <MTU>
    Specify the MTU to be used when sending out packets. This option allows you to set a fake MTU, allowing the simulation of network interfaces with small MTU's without setting them so.

-o <option>
    Specify options to be included at the end of the IP header. An EOL option is automatically appended and need not be given. If an option would also have data associated with it (source as an IP# for a lsrr option), then this will not be initialised.

-s <source>
    Set the source address in the packet to that provided - maybe either a hostname or IP#.

-t <dest.port>
    Set the destination port for TCP/UDP packets.

-w <window>
    Set the window size for TCP packets.

-I  Set the protocol to ICMP.

-P <protocol>
    Set the protocol to the value given. If the parameter is a name, the name is looked up in the /etc/protocols file.

-T  Set the protocol to TCP.

-U  Set the protocol to UDP.

-v  enable verbose mode.

SEE ALSO
ipsend(1), ipresend(1), iptest(1), protocols(4), bpf(4), dlpi(7p)

DIAGNOSTICS

Needs to be run as root.

BUGS

If you find any, please send email to me at darrenr@pobox.com